IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_144_check]') AND type = 'P')
DROP PROCEDURE [dbo].[order_144_check]
GO

-- 生成时间:2018-06-12 13:49:00 by ebs-core  
CREATE  procedure order_144_check(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_144 where ord_id=@ordid  

 ---- 以下是开发人员写的 check order 事件 --------------
 declare @log1 varchar(1000)
select @log1 = ord_mdzj  from  #master n 

if exists(select 1 from #master where (isnull(ord_mdzj,0) = 0   or isnull(ord_cz,0) = 0
or isnull(ord_sp,0) = 0 or isnull(ord_hf,0) = 0) and ord_zdlx !='关店')

begin
set @operation='abort'
set @errorinfo = '有*的必填'
end
 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 

exec drop_temp_table '#master' 

set nocount off 
end